import { Component } from "react";
import { InputImplement } from '../../types/input.implement';
import { CustomInputProps, CustomInputValueType } from './custom.interface';
interface IState {
    value: CustomInputValueType;
    error: boolean;
}
export declare class CustomInput extends Component<CustomInputProps, IState> implements InputImplement<CustomInputValueType> {
    private elementRef;
    state: IState;
    setValue(value: CustomInputValueType): Promise<any>;
    getValue(): CustomInputValueType;
    clear(): Promise<any>;
    validation(): boolean;
    click: () => void;
    focus: () => void;
    blur: () => void;
    render(): JSX.Element;
}
export {};
