import { SelectProps } from '@mui/material';
import { BaseInput } from '../../types/input.base';
export declare type SelectInputValueType = any;
export declare type SelectOptionType = {
    label: string | JSX.Element;
    value: any;
};
export interface SelectInputProps extends BaseInput<SelectInputValueType>, Omit<SelectProps, 'defaultValue'> {
    type: 'select';
    options: SelectOptionType[];
    defaultValue?: SelectInputValueType;
    listSubheaderText?: string;
    loading?: boolean;
    loadingText?: string;
}
